Mail archive
alpine-aports

[alpine-aports] gtk+3.0 install/add error

From: Victor Yap <vyap_at_turbulent.ca>
Date: Thu, 12 Oct 2017 09:25:37 -0400

Hello,

I've stumbled upon an error with installing "gtk+3.0"; my original goal was
to install "chromium". Here are some details. Please let me know if there's
some solution that would get things working for "alpine:edge", or if more
info is needed in addition to the rough snapshot below.

# Dockerfile start #
FROM alpine:edge
RUN apk --no-cache add gtk+3.0

# Dockerfile, end #


## Building it ##
docker build --rm -t nogtk

## End of building it command ###


### Tail-end of output ###
(54/57) Installing harfbuzz (1.4.8-r0)
(55/57) Installing libxft (2.3.2-r2)
(56/57) Installing pango (1.40.12-r0)
(57/57) Installing gtk+3.0 (3.22.21-r0)
Executing gtk+3.0-3.22.21-r0.post-install
Error relocating /usr/lib/libbsd.so.0: fopencookie: symbol not found
Executing busybox-1.27.1-r0.trigger
Executing glib-2.54.0-r0.trigger
Executing shared-mime-info-1.8-r1.trigger
Executing gdk-pixbuf-2.36.10-r0.trigger
Executing gtk-update-icon-cache-2.24.31-r0.trigger
OK: 46 MiB in 67 packages

### End tail-end of output ###


Thank you,

// Victor



---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Oct 12 2017 - 09:25:37 GMT